Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Groovy] Class SynchronizerToken

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.SynchronizerToken

    class SynchronizerToken

A token used to handle double-submits.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`static java.lang.String` | `KEY`
`static java.lang.String` | `URI`

Property Summary
`java.util.UUID` | `currentToken`

Constructor Summary
`SynchronizerToken()`

Method Summary
`void` | `generateToken()`
`boolean` | `isValid(java.lang.String token)`
`static SynchronizerToken` | `store(HttpSession session)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### KEY

    public static final java.lang.String KEY

### URI

    public static final java.lang.String URI

Property Detail

### currentToken

    java.util.UUID currentToken

Constructor Detail

### SynchronizerToken

    SynchronizerToken()

Method Detail

### generateToken

    void generateToken()

### isValid

    boolean isValid(java.lang.String token)

### store

    static SynchronizerToken store(HttpSession session)

Groovy Documentation